%define moz_ext_dir %{_datadir}/mozilla/extensions

%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define src_ext_id \{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d\}
%define inst_dir %{moz_ext_dir}/%{firefox_app_id}/%{src_ext_id}

%define seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
%define seamonkey_inst_dir %{moz_ext_dir}/%{seamonkey_app_id}/%{src_ext_id}

%define thunderbird_app_id \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%define thunderbird_inst_dir %{moz_ext_dir}/%{thunderbird_app_id}/%{src_ext_id}

# Do not build a debug package, we have nothing to strip
%define debug_package %{nil}

Name:           mozilla-adblockplus
Version:        1.3.10
Release:        4%{?dist}
Summary:        Adblocking extension for Mozilla Firefox, Thunderbird, and Seamonkey

Group:          Applications/Internet
License:        MPLv1.1
URL:            http://adblockplus.org/
# Sources 0 and 1 generated with Source99
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-buildtools.tar.bz2
Source99:       %{name}-tarball.sh
Patch0:         mozilla-adblockplus-1.3.8-buildNum.patch
Patch1:         firefox-9-compat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  zip, python, sed, python-jinja2
Requires:       mozilla-filesystem


%description
Adblock Plus is a content-filtering extension for the Mozilla Firefox- and
Mozilla Application Suite-based web browsers. Adblock Plus allows users to
prevent page elements, such as advertisements, from being downloaded and
displayed.
It features improvements to the user interface, filter subscriptions, and
element hiding over the original Adblock extension.


%prep
%setup -q -a 1
%patch0 -p 1
%patch1 -p 1


%build
mkdir -p _build
python build.py build --release -b %{release} _build/%{name}-%{version}-%{release}.xpi


%install
rm -rf %{buildroot}
cd _build
unzip %{name}-%{version}-%{release}.xpi
install -dm 755 %{buildroot}%{inst_dir}
install -pm 644 chrome.manifest icon.png icon64.png install.rdf %{buildroot}%{inst_dir}
install -Dpm 644 ./components/Initializer.js \
    %{buildroot}%{inst_dir}/components/Initializer.js
install -Dpm 644 defaults/patterns.ini \
    %{buildroot}%{inst_dir}/defaults/patterns.ini
install -Dpm 644 defaults/preferences/adblockplus.js \
    %{buildroot}%{inst_dir}/defaults/preferences/adblockplus.js
install -Dpm 644 chrome/adblockplus.jar \
    %{buildroot}%{inst_dir}/chrome/adblockplus.jar
install -dm 755 %{buildroot}%{inst_dir}/modules
for f in modules/*; do
install -Dpm 644 ${f} \
    %{buildroot}%{inst_dir}/modules/${f##modules/}
done

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{moz_ext_dir}/%{seamonkey_app_id}
ln -s %{inst_dir} %{buildroot}%{seamonkey_inst_dir}

# symlink from thunderbird extension to firefox extension
mkdir -p %{buildroot}%{moz_ext_dir}/%{thunderbird_app_id}
ln -s %{inst_dir} %{buildroot}%{thunderbird_inst_dir}




%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{inst_dir}
%{seamonkey_inst_dir}
%{thunderbird_inst_dir}

%changelog
* Thu Jan 19 2012 Russell Golden <niveusluna@niveusluna.org> - 1.3.10-4
- Patch for Firefox/Thunderbird 9 and SeaMonkey 2.6
- Release build rather than debug build

* Sun Oct 30 2011 Russell Golden <niveusluna@niveusluna.org> - 1.3.10-2
- Include support for Thunderbird and SeaMonkey

* Wed Oct 05 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.10-1
- Update to 1.3.9 for FF7

* Thu Aug 18 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.9-1
- Update to 1.3.9 for FF6

* Fri Jun 03 2011 Andreas Thienemann <andreas@bawue.net> - 1.3.8-1
- Updated to 1.3.8 upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 19 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.3-1
- Update to 1.1.3 (#569137).

* Thu Aug 27 2009 Andreas Thienemann <andreas@bawue.net> - 1.1.1-1
- Updated to 1.1.1 upstream release

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.1-1
- Updated to 1.1 upstream release

* Wed Apr 29 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.2-1
- Updated to 1.0.2 upstream release

* Tue Apr 07 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.1-1
- Initial package
